	* Close Competitors? Bilateral Bank Competition and Spatial Variation in Firms' Access to Credit
	* Ralph De Haas, Liping Lu and Steven Ongena (2023)
	
	cls 
	clear

	gl root "" // Update accordingly
	gl joeg "" // Parent folder of "Codes", "Data" and "Results"
	cd "$joeg\Results" // Location to save results
	
	use "$joeg\Data\BEEPSVI-BEPS_analysis_INTERNAL.dta", clear
	
	
	* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	* CONTROLS FOR MAIN REGRESSIONS
	* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	
	
	gl cont_firm1 	large public_company sole_proprietorship exporter ext_audit old

	gl FE 			ind1-ind6  ct1-ct19
	gl FEind		ind1-ind6
	gl FEctry		ct1-ct19
	
	gl controls 	$cont_firm1 $FE gdp_growth

	tab ind, gen(ind)
	tab ct, gen(ct)
	
	gl opts "append tex(fragment) aster dec(3) rdec(3) adec(2) nonotes nodepvar ctitle(" ") label mfx addstat("Pseudo R", e(r2_p))" 	 
	
	
	*---------------------------------------------------------------------------
	*** Table 7: Robustness -- Online lending
	*---------------------------------------------------------------------------
	
	eststo clear
	estimates clear
	foreach x in _a _d {
		probit constrained_1 comp1_xbsme_ratio`x' /// 
				hhi`x' lerner_loc`x' relbank`x'  br10km`x' $controls, /// 
				iter(150) tech(bfgs) vce(cluster GADM_1)
		mfx
		outreg2 using "temp_bepsiii.tex", drop($controls) $opts
	}
	
	filefilter "temp_bepsiii.tex" "temp_bepsiii_1.tex", from(" &  &  \BS\BS") to("") replace	
	filefilter "temp_bepsiii_1.tex" "temp_bepsiii_2.tex", from("VARIABLES") to("") replace	
	filefilter "temp_bepsiii_2.tex" "temp_bepsiii_3.tex", from("\BSbegin{tabular}{lcc} \BShline") to("") replace	
	filefilter "temp_bepsiii_3.tex" "temp_bepsiii_4.tex", from("Observations") to("\BShline Observations") replace		
	filefilter "temp_bepsiii_4.tex" "Table7_BEEPSVIBEPSIII_online.tex", from("\BSend{tabular}") to("") replace	
	
	local files : dir "$joeg\Results" files "temp*"
	foreach file in `files' {
		di "`file'"
		cap erase "`file'"
	}

